The Spring Framework

## Package org.springframework.scheduling

General exceptions for Spring's scheduling support, independent of any specific scheduling system.

See:
Description

Interface Summary
SchedulingAwareRunnable: Extension of the Runnable interface, adding special callbacks for long-running operations.
SchedulingTaskExecutor: A `TaskExecutor` extension exposing scheduling characteristics that are relevant to potential task submitters.

Exception Summary
SchedulingException: General exception to be thrown on scheduling failures, such as the scheduler already having shut down.

## Package org.springframework.scheduling Description

General exceptions for Spring's scheduling support, independent of any specific scheduling system.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.